Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.impl.schema
Class StscImporter.SchemaToProcess

    java.lang.Object
      org.apache.xmlbeans.impl.schema.StscImporter.SchemaToProcess

Enclosing class:
  StscImporter

    public static class StscImporter.SchemaToProcess

extends java.lang.Object

Constructor Summary
`StscImporter.SchemaToProcess(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema schema, java.lang.String chameleonNamespace)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getChameleonNamespace()` The chameleon namespace.
`java.util.List` | `getRedefineObjects()`
`java.util.List` | `getRedefines()` This method and the remaining methods are used to represent a directed graph of includes/redefines.
`org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema` | `getSchema()` The schema to parse.
`java.lang.String` | `getSourceName()` The base URI for this stp
`int` | `hashCode()`
`boolean` | `indirectIncludes(StscImporter.SchemaToProcess schemaToProcess)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StscImporter.SchemaToProcess

    public StscImporter.SchemaToProcess(org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema schema,
                                        java.lang.String chameleonNamespace)

Method Detail

### getSchema

    public org.apache.xmlbeans.impl.xb.xsdschema.SchemaDocument.Schema getSchema()

  The schema to parse.

### getSourceName

    public java.lang.String getSourceName()

  The base URI for this stp

### getChameleonNamespace

    public java.lang.String getChameleonNamespace()

  The chameleon namespace. Null if this schema is not being treated as a chameleon. (The ordinary targetNamespace will just be extracted from the syntax of the schema.)

### getRedefines

    public java.util.List getRedefines()

  This method and the remaining methods are used to represent a directed graph of includes/redefines. This is required in order to establish identity component by component, as required in xmlschema-1, chapter 4.2.2

  Returns:

### getRedefineObjects

    public java.util.List getRedefineObjects()

### indirectIncludes

    public boolean indirectIncludes(StscImporter.SchemaToProcess schemaToProcess)

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD